/* Specifikation av lnkad hashtabell -- linkhash.h */

#ifndef LINKHASH_H
#define LINKHASH_H

typedef int datatyp;  /* Exempelvis */

#define HASHTABSIZE 100

typedef
struct link
{
   datatyp data;
   struct link *next;
} linktyp;


void initlinkhash(linktyp *htab[]);
/* NULL-stller hashtabellen */


void intolinkhash(linktyp *htab[], datatyp d,
		  int (*hashfunk)(datatyp));
/* Stoppar in d i hashtabell enligt hashfunk */


linktyp *searchlinkhash(linktyp *htab[], datatyp nyckel,
			int (*hashfunk)(datatyp),
			int (*is_equal)(datatyp, datatyp));
/* Sker efter nyckel i hashtabell */

#endif