/* Specifikation av binrt trd -- tree.h */

typedef int datatyp; /* Exempelvis */

typedef
struct nod
{
   datatyp data;
   struct nod *left, *right;
} nodtyp;

void intotree(nodtyp **rpp, datatyp d, int (*is_less)(datatyp, datatyp));
/* Stoppar in d i trdet ordnat enligt is_less */

void showtree(nodtyp *rp, void (*write_data)(datatyp));
/* Skriver ut trdet med write_data funktionen */

nodtyp *searchtree(nodtyp *rp, datatyp key,
		   int (*is_equal)(datatyp, datatyp),
		   int (*is_less)(datatyp, datatyp));
/* Returnerar pekare till nyckelposten om den finns annars NULL */
